// Code generated by MockGen. DO NOT EDIT.
// Source: ./../internal/repositories/document_type_repository.go
//
// Generated by this command:
//
//	mockgen -source=./../internal/repositories/document_type_repository.go -destination=./../test/mock/document_type_repository.go -package=mock
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	healthcheck "gitlab.com/blauwe-knop/common/health-checker/pkg/healthcheck"
	gomock "go.uber.org/mock/gomock"

	model "gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-process/pkg/model"
)

// MockDocumentTypeRepository is a mock of DocumentTypeRepository interface.
type MockDocumentTypeRepository struct {
	ctrl     *gomock.Controller
	recorder *MockDocumentTypeRepositoryMockRecorder
	isgomock struct{}
}

// MockDocumentTypeRepositoryMockRecorder is the mock recorder for MockDocumentTypeRepository.
type MockDocumentTypeRepositoryMockRecorder struct {
	mock *MockDocumentTypeRepository
}

// NewMockDocumentTypeRepository creates a new mock instance.
func NewMockDocumentTypeRepository(ctrl *gomock.Controller) *MockDocumentTypeRepository {
	mock := &MockDocumentTypeRepository{ctrl: ctrl}
	mock.recorder = &MockDocumentTypeRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockDocumentTypeRepository) EXPECT() *MockDocumentTypeRepositoryMockRecorder {
	return m.recorder
}

// GetDocumentTypes mocks base method.
func (m *MockDocumentTypeRepository) GetDocumentTypes() []model.DocumentType {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDocumentTypes")
	ret0, _ := ret[0].([]model.DocumentType)
	return ret0
}

// GetDocumentTypes indicates an expected call of GetDocumentTypes.
func (mr *MockDocumentTypeRepositoryMockRecorder) GetDocumentTypes() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDocumentTypes", reflect.TypeOf((*MockDocumentTypeRepository)(nil).GetDocumentTypes))
}

// GetHealthCheck mocks base method.
func (m *MockDocumentTypeRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockDocumentTypeRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockDocumentTypeRepository)(nil).GetHealthCheck))
}
